Real-time Analytics

Get event throughput metrics

Returns event throughput for a project

AuthBearer (JWT)
GroupReal-time Analytics
Rate limitSee Rate Limits
GET/api/realtime/projects/{projectId}/throughput

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, RealTimeAnalyticsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const realtimeanalytics = new RealTimeAnalyticsApi(configuration);
import { Configuration, RealTimeAnalyticsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const realtimeanalytics = new RealTimeAnalyticsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await realtimeanalytics.getEventThroughput("proj_eNVmyeQTiMJg");
const { data: result } = await realtimeanalytics.getEventThroughput("proj_eNVmyeQTiMJg");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Query Parameters

NameTypeRequiredDescription
windowintegerNoTime window in milliseconds

Responses

200Throughput metrics
json
{
  "windowMs": 60000,
  "totalEvents": 523,
  "eventsPerSecond": 8.72,
  "byType": {},
  "timestamp": "2024-01-15T10:00:00.000Z"
}
{
  "windowMs": 60000,
  "totalEvents": 523,
  "eventsPerSecond": 8.72,
  "byType": {},
  "timestamp": "2024-01-15T10:00:00.000Z"
}
401
404

Errors

CodeMeaning
401
404
Edit this page on GitHub